
<div class="modal-header BCPO">
  <span class="modal-title CW" id="exampleModalLabel">{{modalConfig}} usuario perfil</span>
  <a (click)="activeModal.dismiss('Cross click')">
    <i class="pi pi-times-circle " ></i>
  </a>
</div>


<form [formGroup]="usuarioPerfilForm" (ngSubmit)="onSubmit()">
  <div class="modal-body">
    <div class="row">
      <div class="col-sm-6">
        <div class="form-group">
          <label >Usuario:</label>
          <select  class="form-control" [(ngModel)]="modalData.idUsuario" formControlName="idUsuario"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idUsuario.errors }">
            <option *ngFor="let value of listaUsuario" [value]="value.id">{{value.primerApellido}} {{value.segundoApellido}} {{value.primerNombre}} {{value.segundoNombre}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idUsuario.errors" class="invalid-feedback">
            <div *ngIf="f.idUsuario.errors.required">usuairo es requerido.</div>
          </div>
        </div>
      </div>


      <div class="col-sm-12" *ngIf="modalConfig === 'Crear'">
        <p-table  [value]="listaPerfiles" [(selection)]="selectedPerfiles" #dt [paginator]="true" [rows]="25"
                  [pageLinks]="3" [rowsPerPageOptions]="[25,50,100]"
                  [globalFilterFields]="['descripcion']" [responsive]="true" >


          <ng-template pTemplate="header" >
            <tr class="text-center">
              <th style="width: 30px"></th>
              <th class="w-75">Perfiles de la aplicación</th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-c >
            <tr [pSelectableRow]="c">
              <td class="text-center">
                <p-tableCheckbox [value]="c" ></p-tableCheckbox>
              </td>
              <td class="px-1"><span class="ui-column-title">nombre</span>{{c.nombre}} </td>
            </tr>
          </ng-template>
        </p-table>
      </div>


      <div class="col-sm-12" *ngIf="modalConfig === 'Editar'">
        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">Pefiles actuales</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">Agregar Perfiles</a>
          </li>
        </ul>
        <div class="tab-content" id="myTabContent">
          <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
            <p-table  [value]="usuaiosPerfil"  #dt [paginator]="true" [rows]="25"
                      [pageLinks]="3" [rowsPerPageOptions]="[25,50,100]"
                      [globalFilterFields]="['descripcion']" [responsive]="true" >


              <ng-template pTemplate="header" >
                <tr class="text-center">
                  <th class="w-75">Perfiles actuales</th>
                  <th class="w-50">Estado</th>
                  <th class="w-25"></th>
                </tr>
              </ng-template>
              <ng-template pTemplate="body" let-c >
                <tr >
                  <td class="px-1"><span class="ui-column-title">Nombre</span>{{c.nombre}} </td>
                  <td><span class="ui-column-title">Estado</span>
                    <span *ngIf="c.estado === 1">Activo</span>
                    <span *ngIf="c.estado === 2">Inactivo</span>
                  </td>
                  <td>
                    <p-accordion >
                      <p-accordionTab  >

                        <button (click)="inactivarPerfil(c.id)"  class=" btn bCSC" >
                          <span class = "fa fa-times "></span> <span > INACTIVAR</span></button>

                      </p-accordionTab>
                    </p-accordion>
                  </td>
                </tr>
              </ng-template>
            </p-table>
          </div>
          <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">

            <p-table  [value]="listaPerfiles" [(selection)]="selectedPerfiles" #dt [paginator]="true" [rows]="25"
                      [pageLinks]="3" [rowsPerPageOptions]="[25,50,100]"
                      [globalFilterFields]="['descripcion']" [responsive]="true" >


              <ng-template pTemplate="header" >
                <tr class="text-center">
                  <th style="width: 30px"></th>
                  <th class="w-75">Perfiles de la aplicación</th>
                </tr>
              </ng-template>
              <ng-template pTemplate="body" let-c >
                <tr [pSelectableRow]="c">
                  <td class="text-center">
                    <p-tableCheckbox [value]="c" ></p-tableCheckbox>
                  </td>
                  <td class="px-1"><span class="ui-column-title">nombre</span>{{c.nombre}} </td>
                </tr>
              </ng-template>
            </p-table>



          </div>
        </div>
      </div>


    </div>
  </div>


  <div class="modal-footer">
    <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
    <button type="submit" class="btn bCPO text-white" >GUARDAR</button>
  </div>
</form>


